package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSClientPacket;

@ObfuscatedName("lq")
public class ClientPacket implements class304, RSClientPacket {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket WINDOW_STATUS;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPC2;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPC3;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket MAP_BUILD_COMPLETE;
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket AFFINEDCLANSETTINGS_SETMUTED_FROMCHANNEL;
   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON10;
   @ObfuscatedName("aa")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYERT;
   @ObfuscatedName("ac")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IDLE;
   @ObfuscatedName("al")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IGNORELIST_DEL;
   @ObfuscatedName("az")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket DETECT_MODIFIED_CLIENT;
   @ObfuscatedName("ap")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket MOVE_GAMECLICK;
   @ObfuscatedName("av")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket FRIENDCHAT_SETRANK;
   @ObfuscatedName("ax")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket TELEPORT;
   @ObfuscatedName("as")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER1;
   @ObfuscatedName("ay")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTONT;
   @ObfuscatedName("ak")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPC1;
   @ObfuscatedName("aj")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPCT;
   @ObfuscatedName("am")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON2;
   @ObfuscatedName("aq")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket SET_CHATFILTERSETTINGS;
   @ObfuscatedName("ai")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON4;
   @ObfuscatedName("aw")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON5;
   @ObfuscatedName("ae")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON9;
   @ObfuscatedName("an")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJ2;
   @ObfuscatedName("ag")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER2;
   @ObfuscatedName("ad")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket FRIENDLIST_ADD;
   @ObfuscatedName("af")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket EVENT_KEYBOARD;
   @ObfuscatedName("be")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket CLANSETTINGS_REQUEST_FULL;
   @ObfuscatedName("bd")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON8;
   @ObfuscatedName("bl")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket NO_TIMEOUT;
   @ObfuscatedName("bi")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPC5;
   @ObfuscatedName("bv")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJ3;
   @ObfuscatedName("bf")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON3;
   @ObfuscatedName("bg")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket BUG_REPORT;
   @ObfuscatedName("ba")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   static final ClientPacket field3158;
   @ObfuscatedName("bm")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER5;
   @ObfuscatedName("bp")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket CLOSE_MODAL;
   @ObfuscatedName("bw")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTOND;
   @ObfuscatedName("bj")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJ4;
   @ObfuscatedName("bn")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJT;
   @ObfuscatedName("bo")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket EVENT_MOUSE_CLICK;
   @ObfuscatedName("bt")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOC3;
   @ObfuscatedName("bu")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER4;
   @ObfuscatedName("by")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket RESUME_P_NAMEDIALOG;
   @ObfuscatedName("bh")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   static final ClientPacket field3168;
   @ObfuscatedName("bz")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket TIMINGS;
   @ObfuscatedName("bc")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJU;
   @ObfuscatedName("bs")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket EVENT_MOUSE_SCROLL;
   @ObfuscatedName("bx")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket SOUND_SONGEND;
   @ObfuscatedName("bb")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket FRIENDCHAT_KICK;
   @ObfuscatedName("bk")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON7;
   @ObfuscatedName("br")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJ1;
   @ObfuscatedName("bq")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER7;
   @ObfuscatedName("cf")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket MOVE_MINIMAPCLICK;
   @ObfuscatedName("cg")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON;
   @ObfuscatedName("cv")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket RESUME_P_STRINGDIALOG;
   @ObfuscatedName("cx")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPCE;
   @ObfuscatedName("cp")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPC4;
   @ObfuscatedName("ce")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket RESUME_P_COUNTDIALOG;
   @ObfuscatedName("ci")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket CLIENT_CHEAT;
   @ObfuscatedName("ct")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket RESUME_P_OBJDIALOG;
   @ObfuscatedName("cw")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket MESSAGE_PUBLIC;
   @ObfuscatedName("cq")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOCT;
   @ObfuscatedName("cl")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOC1;
   @ObfuscatedName("cs")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket CLICKWORLDMAP;
   @ObfuscatedName("co")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER6;
   @ObfuscatedName("cm")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket CLANCHANNEL_REQUEST_FULL;
   @ObfuscatedName("cn")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket FRIENDLIST_DEL;
   @ObfuscatedName("cr")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket SEND_SNAPSHOT;
   @ObfuscatedName("cj")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   static final ClientPacket field3193;
   @ObfuscatedName("ca")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJE;
   @ObfuscatedName("cc")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON1;
   @ObfuscatedName("cu")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket EVENT_APPLET_FOCUS;
   @ObfuscatedName("ch")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket EVENT_MOUSE_MOVE;
   @ObfuscatedName("cb")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYERU;
   @ObfuscatedName("cz")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPNPCU;
   @ObfuscatedName("cy")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket UPDATE_PLAYER_MODEL;
   @ObfuscatedName("ck")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket RESUME_PAUSEBUTTON;
   @ObfuscatedName("cd")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket MESSAGE_PRIVATE;
   @ObfuscatedName("dt")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket REFLECTION_CHECK_REPLY;
   @ObfuscatedName("di")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_BUTTON6;
   @ObfuscatedName("dk")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOC2;
   @ObfuscatedName("dd")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IGNORELIST_ADD;
   @ObfuscatedName("dx")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOCU;
   @ObfuscatedName("dh")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OCULUS_LEAVE;
   @ObfuscatedName("du")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER3;
   @ObfuscatedName("dg")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket CLANCHANNEL_KICKUSER;
   @ObfuscatedName("dc")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   static final ClientPacket field3211;
   @ObfuscatedName("do")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket AFFINEDCLANSETTINGS_ADDBANNED_FROMCHANNEL;
   @ObfuscatedName("db")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOC5;
   @ObfuscatedName("dm")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket FRIENDCHAT_JOIN_LEAVE;
   @ObfuscatedName("dr")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOCE;
   @ObfuscatedName("ds")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket EVENT_CAMERA_POSITION;
   @ObfuscatedName("da")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket IF_CRMVIEW_CLICK;
   @ObfuscatedName("dw")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   static final ClientPacket field3218;
   @ObfuscatedName("dp")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPLOC4;
   @ObfuscatedName("df")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPPLAYER8;
   @ObfuscatedName("dv")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket SEND_PING_REPLY;
   @ObfuscatedName("dz")
   @ObfuscatedSignature(
      descriptor = "Llq;"
   )
   public static final ClientPacket OPOBJ5;
   @ObfuscatedName("dl")
   @ObfuscatedGetter(
      intValue = -980425147
   )
   final int id;
   @ObfuscatedName("de")
   @ObfuscatedGetter(
      intValue = 752608973
   )
   final int length;

   static {
      WINDOW_STATUS = new ClientPacket(0, 5);
      OPNPC2 = new ClientPacket(1, 3);
      OPNPC3 = new ClientPacket(2, 3);
      MAP_BUILD_COMPLETE = new ClientPacket(3, 0);
      AFFINEDCLANSETTINGS_SETMUTED_FROMCHANNEL = new ClientPacket(4, -1);
      IF_BUTTON10 = new ClientPacket(5, 8);
      OPPLAYERT = new ClientPacket(6, 11);
      IDLE = new ClientPacket(7, 0);
      IGNORELIST_DEL = new ClientPacket(8, -1);
      DETECT_MODIFIED_CLIENT = new ClientPacket(9, 4);
      MOVE_GAMECLICK = new ClientPacket(10, -1);
      FRIENDCHAT_SETRANK = new ClientPacket(11, -1);
      TELEPORT = new ClientPacket(12, 9);
      OPPLAYER1 = new ClientPacket(13, 3);
      IF_BUTTONT = new ClientPacket(14, 16);
      OPNPC1 = new ClientPacket(15, 3);
      OPNPCT = new ClientPacket(16, 11);
      IF_BUTTON2 = new ClientPacket(17, 8);
      SET_CHATFILTERSETTINGS = new ClientPacket(18, 3);
      IF_BUTTON4 = new ClientPacket(19, 8);
      IF_BUTTON5 = new ClientPacket(20, 8);
      IF_BUTTON9 = new ClientPacket(21, 8);
      OPOBJ2 = new ClientPacket(22, 7);
      OPPLAYER2 = new ClientPacket(23, 3);
      FRIENDLIST_ADD = new ClientPacket(24, -1);
      EVENT_KEYBOARD = new ClientPacket(25, -2);
      CLANSETTINGS_REQUEST_FULL = new ClientPacket(26, 1);
      IF_BUTTON8 = new ClientPacket(27, 8);
      NO_TIMEOUT = new ClientPacket(28, 0);
      OPNPC5 = new ClientPacket(29, 3);
      OPOBJ3 = new ClientPacket(30, 7);
      IF_BUTTON3 = new ClientPacket(31, 8);
      BUG_REPORT = new ClientPacket(32, -2);
      field3158 = new ClientPacket(33, 2);
      OPPLAYER5 = new ClientPacket(34, 3);
      CLOSE_MODAL = new ClientPacket(35, 0);
      IF_BUTTOND = new ClientPacket(36, 16);
      OPOBJ4 = new ClientPacket(37, 7);
      OPOBJT = new ClientPacket(38, 15);
      EVENT_MOUSE_CLICK = new ClientPacket(39, 6);
      OPLOC3 = new ClientPacket(40, 7);
      OPPLAYER4 = new ClientPacket(41, 3);
      RESUME_P_NAMEDIALOG = new ClientPacket(42, -1);
      field3168 = new ClientPacket(43, -1);
      TIMINGS = new ClientPacket(44, -1);
      OPOBJU = new ClientPacket(45, 15);
      EVENT_MOUSE_SCROLL = new ClientPacket(46, 2);
      SOUND_SONGEND = new ClientPacket(47, 4);
      FRIENDCHAT_KICK = new ClientPacket(48, -1);
      IF_BUTTON7 = new ClientPacket(49, 8);
      OPOBJ1 = new ClientPacket(50, 7);
      OPPLAYER7 = new ClientPacket(51, 3);
      MOVE_MINIMAPCLICK = new ClientPacket(52, -1);
      IF_BUTTON = new ClientPacket(53, 4);
      RESUME_P_STRINGDIALOG = new ClientPacket(54, -1);
      OPNPCE = new ClientPacket(55, 2);
      OPNPC4 = new ClientPacket(56, 3);
      RESUME_P_COUNTDIALOG = new ClientPacket(57, 4);
      CLIENT_CHEAT = new ClientPacket(58, -1);
      RESUME_P_OBJDIALOG = new ClientPacket(59, 2);
      MESSAGE_PUBLIC = new ClientPacket(60, -1);
      OPLOCT = new ClientPacket(61, 15);
      OPLOC1 = new ClientPacket(62, 7);
      CLICKWORLDMAP = new ClientPacket(63, 4);
      OPPLAYER6 = new ClientPacket(64, 3);
      CLANCHANNEL_REQUEST_FULL = new ClientPacket(65, 1);
      FRIENDLIST_DEL = new ClientPacket(66, -1);
      SEND_SNAPSHOT = new ClientPacket(67, -1);
      field3193 = new ClientPacket(68, 2);
      OPOBJE = new ClientPacket(69, 6);
      IF_BUTTON1 = new ClientPacket(70, 8);
      EVENT_APPLET_FOCUS = new ClientPacket(71, 1);
      EVENT_MOUSE_MOVE = new ClientPacket(72, -1);
      OPPLAYERU = new ClientPacket(73, 11);
      OPNPCU = new ClientPacket(74, 11);
      UPDATE_PLAYER_MODEL = new ClientPacket(75, 13);
      RESUME_PAUSEBUTTON = new ClientPacket(76, 6);
      MESSAGE_PRIVATE = new ClientPacket(77, -2);
      REFLECTION_CHECK_REPLY = new ClientPacket(78, -1);
      IF_BUTTON6 = new ClientPacket(79, 8);
      OPLOC2 = new ClientPacket(80, 7);
      IGNORELIST_ADD = new ClientPacket(81, -1);
      OPLOCU = new ClientPacket(82, 15);
      OCULUS_LEAVE = new ClientPacket(83, 0);
      OPPLAYER3 = new ClientPacket(84, 3);
      CLANCHANNEL_KICKUSER = new ClientPacket(85, -1);
      field3211 = new ClientPacket(86, -1);
      AFFINEDCLANSETTINGS_ADDBANNED_FROMCHANNEL = new ClientPacket(87, -1);
      OPLOC5 = new ClientPacket(88, 7);
      FRIENDCHAT_JOIN_LEAVE = new ClientPacket(89, -1);
      OPLOCE = new ClientPacket(90, 2);
      EVENT_CAMERA_POSITION = new ClientPacket(91, 4);
      IF_CRMVIEW_CLICK = new ClientPacket(92, 22);
      field3218 = new ClientPacket(93, 7);
      OPLOC4 = new ClientPacket(94, 7);
      OPPLAYER8 = new ClientPacket(95, 3);
      SEND_PING_REPLY = new ClientPacket(96, 10);
      OPOBJ5 = new ClientPacket(97, 7);
   }

   ClientPacket(int var1, int var2) {
      this.id = var1;
      this.length = var2;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/CharSequence;B)Z",
      garbageValue = "1"
   )
   public static boolean isNumber_base(CharSequence var0) {
      return Script.method2228_base(var0, 10, true);
   }
}
